%define rel 2

Name: kdegames4
Summary: KDE - Games
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
URL: http://games.kde.org/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdegames-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: python-kde4 >= 1:%version
BuildRequires: pkgconfig(openal)
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(sqlite3)
# Do not comment ggz. For now we're excluding /etc/ggz.modules, but freeciv package is wrong too.
# read this if you have some doubt http://svn.ggzgamingzone.org/trac.cgi/browser/trunk/docs/ggz-project/packagers
BuildRequires: ggz-client-libs-devel
BuildRequires: libxml2-utils
BuildRequires: python-qt4
BuildRequires: python-twisted-core
BuildRequires: qhull

Suggests: katomic
Suggests: kbattleship
Suggests: kblackbox
Suggests: kbounce
Suggests: klines
Suggests: kmahjongg
Suggests: kmines
Suggests: kolf
Suggests: konquest
Suggests: kpat
Suggests: kreversi
Suggests: klickety
Suggests: kshisen
Suggests: kspaceduel
Suggests: ktuberling
Suggests: kfourinline
Suggests: lskat
Suggests: ksudoku
Suggests: kgoldrunner
Suggests: ktuberling
Suggests: kiriki
Suggests: kjumpingcube
Suggests: bovo
Suggests: ksquares
Suggests: knetwalk
Suggests: kollision
Suggests: kubrick
Suggests: kdiamond
Suggests: kblocks
Suggests: ksirk
Suggests: kbreakout 
Suggests: kapman
Suggests: killbots
Suggests: bomber
Suggests: ktron
Suggests: kdesnake
Suggests: granatier
Suggests: kigo
Suggests: palapeli

%description
Games for the K Desktop Environment.
This is a compilation of various games for KDE project
 - katomic: build complex atoms with a minimal amount of moves
 - kbattleship: battleship game with built-in game server
 - kblackbox: find atoms in a grid by shooting electrons
 - kbounce: claim areas and don't get disturbed
 - klines: place 5 equal pieces together, but wait, there are 3 new ones
 - mahjongg: a tile laying patience
 - kmines: the classical mine sweeper
 - kolf: a golf game
 - konquest: conquer the planets of your enemy
 - kpat: several patience card games
 - kreversi: the old reversi board game, also known as othello
 - kshisen: patience game where you take away all pieces
 - kspaceduel: two player game with shooting spaceships flying around a sun
 - ktuberling: kids game: make your own potato (NO french fries!)
 - kfourinline: place 4 pieces in a row
 - Lskat: lieutnant skat
 - Ksudoku: Play, create and solve sudoku grids
 - KGoldrunner: a game of action and puzzle solving.
 - KTuberling: "potato editor" game
 - Kiriki: Close of Yahtzee
 - Kjumpingcube: a tactical game for number-crunchers
 - Bovo: classic pen and paper game
 - KSquares: an implementation of the popular paper based game squares
 - Knetwalk: Turn the board pieces to get all computers connected

This package acts as a wrapper to install kdegames modules.

%files
%doc COPYING COPYING.DOC COPYING.LIB README
%docdir %_kde_docdir/HTML/en

#------------------------------------------------------------------------------

%package core
Summary: Common files needed by Kdegames4 packages
Group: Graphical desktop/KDE
BuildArch: noarch
Requires: kdebase4-runtime
Provides: %name-core = %epoch:%version
# Add bovo conflicts to ease upgrade from mandriva 2010.2 
# bovo package on mandriva 2010.2 provides files for kpat,knetwalk,kmahjongg,killbots etc...
# since -core is required by all package with a %epoch:%version it's easier to add the
# conflict here
Conflicts: bovo < %epoch:4.6.0

%description core
Common files needed by Kdegames4 packages.

%files core
%_kde_appsdir/kdegames
%_kde_appsdir/carddecks
%_kde_datadir/config/kcardtheme.knsrc
%_kde_iconsdir/oxygen/*/actions/lastmoves.*
%_kde_iconsdir/oxygen/*/actions/legalmoves.*

#------------------------------------------------------------------------------

%package -n kgoldrunner
Summary: KGoldrunner, a game of action and puzzle solving
Group: Games/Arcade
URL: http://www.kde.org/applications/games/kgoldrunner/
Requires: %name-core = %epoch:%version
Suggests: kgoldrunner-handbook
%description -n kgoldrunner
KGoldrunner is an action game where the hero runs through a maze, climbs stairs,
dig holes and dodges enemies in order to collect all the gold nuggets and escape
to the next level. Your enemies are also after the gold. Worse still, they are
after you!.

%files -n kgoldrunner
%_kde_bindir/kgoldrunner
%_kde_applicationsdir/KGoldrunner.desktop
%_kde_datadir/config/kgoldrunner.knsrc
%_kde_appsdir/kgoldrunner
%_kde_iconsdir/hicolor/*/apps/kgoldrunner.png

#------------------------------------------------------------------------------

%package -n kgoldrunner-handbook
Summary: Kgolrunner handbook
Conflicts: kgoldrunner < 1:4.7.1-2
Requires:  kgoldrunner >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kgoldrunner-handbook
This package provides the kgoldrunner handbook.

%files -n kgoldrunner-handbook
%_kde_docdir/HTML/en/kgoldrunner

#------------------------------------------------------------------------------

%package -n kapman
Summary: A Pac-Man clone
Group: Games/Arcade
URL: http://www.kde.org/applications/games/kapman/
Requires: %name-core = %epoch:%version
Suggests: kapman-handbook
%description -n kapman
Kapman is a clone of the well known game Pac-Man.

You must run through the maze to eat all pills without being captured by a
ghost. By eating an energizer, Kapman gets the ability to eat ghosts for a few
seconds. When a stage is cleared of pills and energizer the player is taken to
the next stage with slightly increased game speed

%files -n kapman
%_kde_bindir/kapman
%_kde_applicationsdir/kapman.desktop
%_kde_appsdir/kapman
%_kde_iconsdir/hicolor/*/apps/kapman.*
%_kde_datadir/sounds/kapman

#------------------------------------------------------------------------------

%package -n kapman-handbook
Summary: Kapman handbook
Conflicts: kapman < 1:4.7.1-2
Requires:  kapman >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kapman-handbook
This package provides the kapman handbook.

%files -n kapman-handbook
%_kde_docdir/HTML/en/kapman

#------------------------------------------------------------------------------

%package -n katomic
Summary: Build complex atoms with a minimal amount of moves
Group: Games/Puzzles 
URL: http://www.kde.org/applications/games/katomic/
Requires: %name-core = %epoch:%version
Suggests: katomic-handbook
%description -n katomic
KAtomic is a fun educational game built around molecular geometry.
It employs simplistic two-dimensional looks at different chemical elements

%files -n katomic
%_kde_bindir/katomic
%_kde_applicationsdir/katomic.desktop
%_kde_iconsdir/hicolor/*/apps/katomic.png
%_kde_appsdir/katomic
%_kde_datadir/config/katomic.knsrc
%_kde_appsdir/kconf_update/katomic-levelset-upd.pl
%_kde_appsdir/kconf_update/katomic-levelset.upd

#------------------------------------------------------------------------------

%package -n katomic-handbook
Summary: Katomic handbook
Conflicts: katomic < 1:4.7.1-2
Requires:  katomic >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n katomic-handbook
This package provides the katomic handbook.

%files -n katomic-handbook
%_kde_docdir/HTML/en/katomic

#------------------------------------------------------------------------------

%package -n kblackbox
Summary: Find atoms in a grid by shooting electrons
Group: Games/Puzzles 
URL: http://www.kde.org/applications/games/kblackbox/
Requires: %name-core = %epoch:%version
Suggests: kblackbox-handbook
%description -n kblackbox
KBlackbox is a game of hide and seek played on a grid of boxes where the
computer has hidden several balls. The position of the hidden balls can be
deduced by shooting beams into the box.

%files -n kblackbox
%_kde_bindir/kblackbox
%_kde_applicationsdir/kblackbox.desktop
%_kde_appsdir/kblackbox
%_kde_iconsdir/hicolor/*/apps/kblackbox.png

#------------------------------------------------------------------------------

%package -n kblackbox-handbook
Summary: kblackbox handbook
Conflicts: kblackbox < 1:4.7.1-2
Requires:  kblackbox >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kblackbox-handbook
This package provides the kblackbox handbook.

%files -n kblackbox-handbook
%_kde_docdir/HTML/en/kblackbox

#------------------------------------------------------------------------------

%package -n ktuberling
Summary: KTuberling: "potato editor" game
Group: Games/Other 
URL: http://www.kde.org/applications/games/ktuberling/
Requires: %name-core = %epoch:%version
Suggests: ktuberling-handbook

%description -n ktuberling
KTuberling is a "potato editor" game intended for small 
children and adults who remain young at heart. The game 
has no winner; the only purpose is to make the funniest 
faces you can.

%files -n ktuberling
%_kde_bindir/ktuberling
%_kde_applicationsdir/ktuberling.desktop
%_kde_appsdir/ktuberling
%_kde_iconsdir/hicolor/*/apps/ktuberling.png
%_kde_iconsdir/hicolor/*/mimetypes/application-x-tuberling.png

#------------------------------------------------------------------------------

%package -n ktuberling-handbook
Summary: ktuberling handbook
Conflicts: ktuberling < 1:4.7.1-2
Requires:  ktuberling >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n ktuberling-handbook
This package provides the ktuberling handbook.

%files -n ktuberling-handbook
%_kde_docdir/HTML/en/ktuberling

#------------------------------------------------------------------------------

%package -n kbounce
Summary: Claim areas and don't get disturbed
Group: Games/Arcade
URL: http://www.kde.org/applications/games/kbounce/
Requires: %name-core = %epoch:%version
Suggests: kbounce-handbook

%description -n kbounce
KBounce is a single player arcade game with the elements of puzzle. 

It is played on a field, surrounded by wall, with two or more balls bouncing
around within the walls. The object of the game is to build new walls to
decrease the size of the active field.

%files -n kbounce
%_kde_bindir/kbounce
%_kde_applicationsdir/kbounce.desktop
%_kde_appsdir/kbounce
%_kde_iconsdir/*/*/apps/kbounce*

#------------------------------------------------------------------------------

%package -n kbounce-handbook
Summary: kbounce handbook
Conflicts: kbounce < 1:4.7.1-2
Requires:  kbounce >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kbounce-handbook
This package provides the kbounce handbook.

%files -n kbounce-handbook
%_kde_docdir/HTML/en/kbounce

#------------------------------------------------------------------------------

%package -n killbots
Summary: KDE port of the classic BSD console game robots
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/killbots/
Requires: %name-core = %epoch:%version
Suggests: killbots-handbook
%description -n killbots
Killbots is a simple game of evading killer robots.

Who created the robots and why they have been programmed to destroy, no one
knows. All that is known is that the robots are numerous and their sole
objective is to destroy you. Fortunately for you, their creator has focused on
quantity rather than quality and as a result the robots are severely lacking in
intelligence. Your superior wit and a fancy teleportation device are your only
weapons against the never-ending stream of mindless automatons.

%files -n killbots
%_kde_bindir/killbots
%_kde_applicationsdir/killbots.desktop
%_kde_appsdir/killbots
%_kde_datadir/config.kcfg/killbots.kcfg
%_kde_iconsdir/hicolor/*/apps/killbots.*

#------------------------------------------------------------------------------

%package -n killbots-handbook
Summary: killbots handbook
Conflicts: killbots < 1:4.7.1-2
Requires:  killbots >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n killbots-handbook
This package provides the killbots handbook.

%files -n killbots-handbook
%_kde_docdir/HTML/en/killbots

#------------------------------------------------------------------------------

%package -n kspaceduel
Summary: Two player game with shooting spaceships flying around a sun
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/kspaceduel/
Requires: %name-core = %epoch:%version
Suggests: kspaceduel-handbook

%description -n kspaceduel
In KSpaceDuel each of two possible players control a satellite spaceship
orbiting the sun. As the game progresses players have to eliminate the
opponent's spacecraft with bullets or mines.

%files -n kspaceduel
%_kde_bindir/kspaceduel
%_kde_applicationsdir/kspaceduel.desktop
%_kde_appsdir/kspaceduel
%_kde_iconsdir/hicolor/*/apps/kspaceduel.png
%_kde_datadir/config.kcfg/kspaceduel.kcfg

#------------------------------------------------------------------------------

%package -n kspaceduel-handbook
Summary: kspaceduel handbook
Conflicts: kspaceduel < 1:4.7.95-2
Requires:  kspaceduel >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kspaceduel-handbook
This package provides the kspaceduel handbook.

%files -n kspaceduel-handbook
%_kde_docdir/HTML/en/kspaceduel

#------------------------------------------------------------------------------

%package -n kreversi
Summary: Old reversi board game, also known as othello
Group: Games/Boards 
URL: http://www.kde.org/applications/games/kreversi/
Requires: %name-core = %epoch:%version
Suggests: kreversi-handbook
%description -n kreversi
KReversi is a simple one player strategy game played against the computer. 

If a player's piece is captured by an opposing player, that piece is turned over
to reveal the color of that player. A winner is declared when one player has
more pieces of his own color on the board and there are no more possible moves.

%files -n kreversi
%_kde_bindir/kreversi
%_kde_applicationsdir/kreversi.desktop
%_kde_appsdir/kreversi
%_kde_iconsdir/hicolor/*/apps/kreversi.png

#------------------------------------------------------------------------------

%package -n kreversi-handbook
Summary: kreversi handbook
Conflicts: kreversi < 1:4.7.1-2
Requires:  kreversi >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kreversi-handbook
This package provides the kreversi handbook.

%files -n kreversi-handbook
%_kde_docdir/HTML/en/kreversi

#------------------------------------------------------------------------------

%package -n kolf
Summary: A golf game
Group: Games/Other
URL: http://www.kde.org/applications/games/kolf/
Requires: %name-core = %epoch:%version
Suggests: kolf-handbook
%description -n kolf
Kolf is a miniature golf game.
The game is played from an overhead view, with a
short bar representing the golf club. Kolf features many different types of
objects, such water hazards, slopes, sand traps, and black holes (warps), among
others.

Features :
- Single and Multi-player (up to ten players) modes
- High scores table
- Dynamic courses
- Third-party courses
- Course editor

%files -n kolf
%_kde_bindir/kolf
%_kde_applicationsdir/kolf.desktop
%_kde_appsdir/kolf
%_kde_datadir/icons/hicolor/*/apps/kolf.png

#------------------------------------------------------------------------------

%package -n kolf-handbook
Summary: kolf handbook
Conflicts: kolf < 1:4.7.1-2
Requires:  kolf >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kolf-handbook
This package provides the kolf handbook.

%files -n kolf-handbook
%_kde_docdir/HTML/en/kolf

#------------------------------------------------------------------------------

%package -n konquest
Summary: Conquer the planets of your enemy
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/konquest/
Requires: %name-core = %epoch:%version
Suggests: konquest-handbook

%description -n konquest
Konquest is the KDE version of Gnu-Lactic Konquest. 
Players conquer other planets by sending ships to them. The goal is to build an
interstellar empire and ultimately conquer all other player's planets.

%files -n konquest
%_kde_bindir/konquest
%_kde_applicationsdir/konquest.desktop
%_kde_appsdir/konquest
%_kde_datadir/icons/hicolor/*/apps/konquest.png

#------------------------------------------------------------------------------

%package -n konquest-handbook
Summary: konquest handbook
Conflicts: konquest < 1:4.7.1-2
Requires:  konquest >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n konquest-handbook
This package provides the konquest handbook.

%files -n konquest-handbook
%_kde_docdir/HTML/en/konquest

#------------------------------------------------------------------------------

%package -n klickety
Summary: An adaptation of the Clickomania game
Group: Games/Boards 
Requires: %name-core = %epoch:%version
Obsoletes: ksame < 1:4.5.74
Suggests: klickety-handbook

%description -n klickety
Klickety is an adaptation of the Clickomania game.
The rules are similar to those of the Same game: your goal is to clear
the board by clicking on groups to destroy them.

%files -n klickety
%_kde_bindir/klickety
%_kde_applicationsdir/klickety.desktop
%_kde_applicationsdir/ksame.desktop
%_kde_appsdir/klickety
%_kde_appsdir/kconf_update/klickety.upd
%_kde_appsdir/kconf_update/klickety-2.0-inherit-ksame-highscore.pl
%_kde_iconsdir/*/*/apps/klickety.*
%_kde_iconsdir/*/*/apps/ksame.*

#------------------------------------------------------------------------------

%package -n klickety-handbook
Summary: klickety handbook
Conflicts: klickety < 1:4.7.1-2
Requires:  klickety >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n klickety-handbook
This package provides the klickety handbook.

%files -n klickety-handbook
%_kde_docdir/HTML/en/klickety

#------------------------------------------------------------------------------

%package -n kmahjongglib
Summary: Common files for kmahjongg
Group: Games/Other
BuildArch: noarch
Requires: %name-core = %epoch:%version
Conflicts: kmahjongg < 1:4.3.1-4

%description -n kmahjongglib
Common files for kmahjongg.

%files -n kmahjongglib
%_kde_appsdir/kmahjongglib

#------------------------------------------------------------------------------

%package -n kmahjongg
Summary: A tile laying patience
Group: Games/Boards 
URL: http://www.kde.org/applications/games/kmahjongg/
Requires: %name-core = %epoch:%version
Requires: kmahjongglib = %epoch:%version
Suggests: kmahjongg-handbook

%description -n kmahjongg
In KMahjongg the tiles are scrambled and staked on top of each other to resemble
a certain shape. The player is then expected to remove all the tiles off the
game board by locating each tile's matching pair.

%files -n kmahjongg
%_kde_bindir/kmahjongg
%_kde_applicationsdir/kmahjongg.desktop
%_kde_appsdir/kmahjongg
%_kde_datadir/icons/hicolor/*/apps/kmahjongg.*
%_kde_datadir/config.kcfg/kmahjongg.kcfg

#------------------------------------------------------------------------------

%package -n kmahjongg-handbook
Summary: kmahjongg handbook
Conflicts: kmahjongg < 1:4.7.1-2
Requires:  kmahjongg >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kmahjongg-handbook
This package provides the kmahjongg handbook.

%files -n kmahjongg-handbook
%_kde_docdir/HTML/en/kmahjongg

#------------------------------------------------------------------------------

%package -n kbattleship
Summary: Battleship game with built-in game server
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/kbattleship/
Requires: %name-core = %epoch:%version
Suggests: kbattleship-handbook
%description -n kbattleship
KBattleship is a Battle Ship game for KDE. 

Ships are placed on a board which represents the sea. Players try to hit each
others ships in turns without knowing where they are placed. The first player to
destroy all ships wins the game.

%files -n kbattleship
%_kde_bindir/kbattleship
%_kde_applicationsdir/kbattleship.desktop
%_kde_iconsdir/hicolor/*/apps/kbattleship.png
%_kde_appsdir/kbattleship
%_kde_services/kbattleship.protocol

#------------------------------------------------------------------------------

%package -n kbattleship-handbook
Summary: kbattleship handbook
Conflicts: kbattleship < 1:4.7.1-2
Requires:  kbattleship >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kbattleship-handbook
This package provides the kbattleship handbook.

%files -n kbattleship-handbook
%_kde_docdir/HTML/en/kbattleship


#------------------------------------------------------------------------------

%package -n kiriki
Summary: Kiriki: Close of Yahtzee 
Group: Games/Other
URL: http://www.kde.org/applications/games/kiriki/
Requires: %name-core = %epoch:%version
Suggests: kiriki-handbook

%description -n kiriki
Kiriki is an addictive and fun dice game, designed to be played by as many as
six players. 

Participants have to collect points by rolling five dice for up to
three times per single turn.

%files -n kiriki
%_kde_bindir/kiriki
%_kde_applicationsdir/kiriki.desktop
%_kde_iconsdir/hicolor/*/apps/kiriki.png
%_kde_appsdir/kiriki

#------------------------------------------------------------------------------

%package -n kiriki-handbook
Summary: kiriki handbook
Conflicts: kiriki < 1:4.7.1-2
Requires:  kiriki >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kiriki-handbook
This package provides the kiriki handbook.

%files -n kiriki-handbook
%_kde_docdir/HTML/en/kiriki

#------------------------------------------------------------------------------

%package -n ksudoku
Summary: KSudoku - Play, create and solve sudoku grids 
Group: Games/Other 
URL: http://www.kde.org/applications/games/ksudoku/
Requires: %name-core = %epoch:%version
Suggests: ksudoku-handbook

%description -n ksudoku
The word Sudoku means "single number in an alloted place" in Japanese. These
are the basic rules. Every sudoku Sudoku is a square of 81 cells divided into
9 columns and 9 rows and in 9 subsquares (3x3) of 9 cells each. Solving takes
usually from 10 to 30 minutes, depending on puzzle level, your skill and
experience.

Some cells are filled with a number at the beginnning: the remaining are to
be filled by the player using numbers from 1 to 9, without repeating a number
twice on each column, row or subsuquare (each of them must contain only
one 1, one 2, one 3, and so on). The game requires logic and patience.
The numerals in Sudoku puzzles are used for convenience (for example in 16x16
board we use letters): arithmetic relationships between numbers are irrelevant.

This program supports also 16x16 games with numbers from 1 to 16 and 256
cells with 16 cols, rows and subsquares! (if normal sudoku are not enough for
you).

More information at http://en.wikipedia.org/wiki/Sudoku

%files -n ksudoku
%_kde_bindir/ksudoku
%_kde_applicationsdir/ksudoku.desktop
%_kde_appsdir/ksudoku
%_kde_datadir/config/ksudokurc
%_kde_iconsdir/hicolor/*/apps/ksudoku.png

#------------------------------------------------------------------------------

%package -n ksudoku-handbook
Summary: ksudoku handbook
Conflicts: ksudoku < 1:4.7.1-2
Requires:  ksudoku >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n ksudoku-handbook
This package provides the ksudoku handbook.

%files -n ksudoku-handbook
%_kde_docdir/HTML/en/ksudoku

#------------------------------------------------------------------------------

%package -n bovo
Summary: Bovo: classic pen and paper game
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/bovo/
Requires: %name-core = %epoch:%version
Suggests: bovo-handbook
Conflicts: oxygen-icon-theme < 1:4.4.2

%description -n bovo
Bovo is a KDE 4 game, modeled upon a classic pen and paper game, 
where you try to connect five in a row prior to your opponent.
Bovo is a Gomoku (from Japanese 五目並べ - lit. "five points") like game for two
players, where the opponents alternate in placing their respective pictogram on
the game board. (Also known as: Connect Five, Five in a row, X and O, Naughts
and Crosses)
%files -n bovo
%_kde_bindir/bovo
%_kde_applicationsdir/bovo.desktop
%_kde_appsdir/bovo
%_kde_iconsdir/hicolor/*/apps/bovo.*

#------------------------------------------------------------------------------

%package -n bovo-handbook
Summary: bovo handbook
Conflicts: bovo < 1:4.7.1-2
Requires:  bovo >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n bovo-handbook
This package provides the bovo handbook.

%files -n bovo-handbook
%_kde_docdir/HTML/en/bovo

#------------------------------------------------------------------------------

%package -n kjumpingcube
Summary: kjumpingcube: a tactical game for number-crunchers
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/kjumpingcube/
Requires: %name-core = %epoch:%version
Suggests: kjumpingcube-handbook

%description -n kjumpingcube
KJumpingCube is a tactical one or two-player game. The playing field 
consists of squares that contains points which can be increased. By 
this you can gain more fields and finally win the board over.

%files -n kjumpingcube
%_kde_bindir/kjumpingcube
%_kde_applicationsdir/kjumpingcube.desktop
%_kde_appsdir/kjumpingcube
%_kde_datadir/config.kcfg/kjumpingcube.kcfg
%_kde_iconsdir/hicolor/*/apps/kjumpingcube.png

#------------------------------------------------------------------------------

%package -n kjumpingcube-handbook
Summary: kjumpingcube handbook
Conflicts: kjumpingcube < 1:4.7.1-2
Requires:  kjumpingcube >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kjumpingcube-handbook
This package provides the kjumpingcube handbook.

%files -n kjumpingcube-handbook
%_kde_docdir/HTML/en/kjumpingcube

#------------------------------------------------------------------------------

%package -n klines
Summary: Place 5 equal pieces together, but wait, there are 3 new ones
Group: Games/Boards 
URL: http://www.kde.org/applications/games/klines/
Requires: %name-core = %epoch:%version
Suggests: klines-handbook

%description -n klines
KLines is a simple but highly addictive one player game.

The player has to move the colored balls around the game board, gathering them
into the lines of the same color by five. Once the line is complete it is
removed from the board, therefore freeing precious space. In the same time the
new balls keep arriving by three after each move, filling up the game board.

%files -n klines
%_kde_bindir/klines
%_kde_applicationsdir/klines.desktop
%_kde_appsdir/klines
%_kde_iconsdir/hicolor/*/apps/klines.png
%_kde_datadir/config.kcfg/klines.kcfg

#------------------------------------------------------------------------------

%package -n klines-handbook
Summary: klines handbook
Conflicts: klines < 1:4.7.1-2
Requires:  klines >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n klines-handbook
This package provides the klines handbook.

%files -n klines-handbook
%_kde_docdir/HTML/en/klines

#------------------------------------------------------------------------------

%package -n kmines
Summary: The classical mine sweeper
Group: Games/Boards 
URL: http://games.kde.org/game.php?game=kmines
Requires: %name-core = %epoch:%version
Suggests: kmines-handbook

%description -n kmines
KMines is a classic Minesweeper game. 
The idea is to uncover all the squares without blowing up any mines. When a mine
is blown up, the game is over.

%files -n kmines
%_kde_bindir/kmines
%_kde_applicationsdir/kmines.desktop
%_kde_appsdir/kmines
%_kde_datadir/config/kmines.knsrc
%_kde_iconsdir/hicolor/*/apps/kmines.png

#------------------------------------------------------------------------------

%package -n kmines-handbook
Summary: kmines handbook
Conflicts: kmines < 1:4.7.1-2
Requires:  kmines >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kmines-handbook
This package provides the kmines handbook.

%files -n kmines-handbook
%_kde_docdir/HTML/en/kmines

#------------------------------------------------------------------------------

%package -n knetwalk
Summary: Turn the board pieces to get all computers connected 
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/knetwalk/
Requires: %name-core = %epoch:%version
Suggests: knetwalk-handbook

%description -n knetwalk
KNetWalk is a small game where you have to build up a computer network by
rotating the wires to connect the terminals to the server. When the network is
build, a highscore-list comes up where competitions can be fought out.

%files -n knetwalk
%_kde_bindir/knetwalk
%_kde_applicationsdir/knetwalk.desktop
%_kde_appsdir/knetwalk
%_kde_iconsdir/hicolor/*/apps/knetwalk.*

#------------------------------------------------------------------------------

%package -n knetwalk-handbook
Summary: knetwalk handbook
Conflicts: knetwalk < 1:4.7.1-2
Requires:  knetwalk >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n knetwalk-handbook
This package provides the knetwalk handbook.

%files -n knetwalk-handbook
%_kde_docdir/HTML/en/knetwalk

#------------------------------------------------------------------------------

%package -n kpat
Summary: Several patience card games
Group: Games/Cards
URL: http://www.kde.org/applications/games/kpatience/
Requires: %name-core = %epoch:%version
Provides: kpatience
Suggests: kpat-handbook
Conflicts: kdegames4-devel < 1:4.5.71-0.svn1184269.2

%description -n kpat
KPatience is a relaxing card sorting game. 
To win the game a player has to arrange a single deck of cards in certain order
amongst each other.

%files -n kpat
%_kde_bindir/kpat
%_kde_libdir/libkcardgame.so
%_kde_applicationsdir/kpat.desktop
%_kde_appsdir/kpat
%_kde_datadir/config.kcfg/kpat.kcfg
%_kde_datadir/config/kpat.knsrc
%_kde_iconsdir/hicolor/*/apps/kpat.png
%_kde_datadir/mime/packages/kpatience.xml

#------------------------------------------------------------------------------

%package -n kpat-handbook
Summary: kpat handbook
Conflicts: kpat < 1:4.7.1-2
Requires:  kpat >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kpat-handbook
This package provides the kpat handbook.

%files -n kpat-handbook
%_kde_docdir/HTML/en/kpat

#------------------------------------------------------------------------------

%package -n kajongg
Summary: kajongg : Majongg game for KDE
Group: Games/Boards 
URL: http://www.kde.org/applications/games/kajongg/
BuildArch: noarch
Requires: %name-core = %epoch:%version
Requires: python-kde4
Requires: python-twisted-core
Requires: qt4-database-plugin-sqlite
Suggests: kajongg-handbook

%description -n kajongg
Kajongg is the ancient Chinese board game for 4 players. 

Kajongg can be used in two different ways: Scoring a manual game where you play
as always and use Kajongg for the computation of scores and for bookkeeping. Or
you can use Kajongg to play against any combination of other human players or
computer players.

%files -n kajongg
%_kde_bindir/kajongg
%_kde_bindir/kajonggserver
%_kde_applicationsdir/kajongg.desktop
%_kde_appsdir/kajongg
%_kde_iconsdir/hicolor/*/*/*kajongg*

#------------------------------------------------------------------------------

%package -n kajongg-handbook
Summary: kajongg handbook
Conflicts: kajongg < 1:4.7.1-2
Requires:  kajongg >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kajongg-handbook
This package provides the kajongg handbook.

%files -n kajongg-handbook
%_kde_docdir/HTML/en/kajongg

#------------------------------------------------------------------------------

%package -n kshisen
Summary: Patience game where you take away all pieces
Group: Games/Cards
URL: http://www.kde.org/applications/games/kshisen/
Requires: %name-core = %epoch:%version
Requires: kmahjongglib = %epoch:%version
Suggests: kshisen-handbook


%description -n kshisen
KShisen is a solitaire-like game played using the standard set of Mahjong tiles.
Unlike Mahjong however, KShisen has only one layer of scrambled tiles

%files -n kshisen
%_kde_bindir/kshisen
%_kde_applicationsdir/kshisen.desktop
%_kde_appsdir/kshisen
%_kde_datadir/sounds/kshisen
%_kde_datadir/config.kcfg/kshisen.kcfg
%_kde_iconsdir/hicolor/*/apps/kshisen*

#------------------------------------------------------------------------------

%package -n kshisen-handbook
Summary: kshisen handbook
Conflicts: kshisen < 1:4.7.1-2
Requires:  kshisen >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kshisen-handbook
This package provides the kshisen handbook.

%files -n kshisen-handbook
%_kde_docdir/HTML/en/kshisen

#------------------------------------------------------------------------------

%package -n ktron
Summary: Simple Tron clone
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/ktron
Requires: %name-core = %epoch:%version
Suggests: ktron-handbook

%description -n ktron
Well known from the famous movie, KTron is a popular computer 
game for two players. In a fast action sequence both players 
have to move and avoid colliding with any walls, the opponent 
as well as the own path. The player colliding first looses the 
game.

%files -n ktron
%_kde_bindir/ktron
%_kde_applicationsdir/ktron.desktop
%_kde_appsdir/ktron
%_kde_datadir/config.kcfg/ktron.kcfg
%_kde_datadir/config/ktron.knsrc
%_kde_iconsdir/hicolor/*/*/ktron.png

#------------------------------------------------------------------------------

%package -n ktron-handbook
Summary: ktron handbook
Conflicts: ktron < 1:4.7.1-2
Requires:  ktron >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n ktron-handbook
This package provides the ktron handbook.

%files -n ktron-handbook
%_kde_docdir/HTML/en/ktron

#------------------------------------------------------------------------------

%package -n kdesnake
Summary: snake race played against the computer
Group: Games/Arcade
URL: http://games.kde.org/game.php?game=kdesnake
Requires: %name-core = %epoch:%version
Provides: ksnake = %version

%description -n kdesnake
KSnake Race is a fast action game where you steer a snake 
which has to eat food. While eating the snake grows. But 
once a player collides with the other snake or the wall 
the game is lost. This becomes of course more and more 
difficult the longer the snakes grow.

%files -n kdesnake
%_kde_bindir/kdesnake
%_kde_applicationsdir/kdesnake.desktop
%_kde_iconsdir/hicolor/*/*/kdesnake.*

#------------------------------------------------------------------------------

%package -n ksquares
Summary: KSquares: an implementation of the popular paper based game squares
Group: Games/Boards 
URL: http://www.kde.org/applications/games/ksquares/
Requires: %name-core = %epoch:%version
Suggests: ksquares-handbook

%description -n ksquares
KSquares is an implementation of the popular paper based game squares. 
You must draw lines to complete squares, the player with the most s
quares wins.

%files -n ksquares
%_kde_bindir/ksquares
%_kde_applicationsdir/ksquares.desktop
%_kde_appsdir/ksquares
%_kde_datadir/config.kcfg/ksquares.kcfg
%_kde_iconsdir/hicolor/*/apps/ksquares.png

#------------------------------------------------------------------------------

%package -n ksquares-handbook
Summary: ksquares handbook
Conflicts: ksquares < 1:4.7.1-2
Requires:  ksquares >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n ksquares-handbook
This package provides the ksquares handbook.

%files -n ksquares-handbook
%_kde_docdir/HTML/en/ksquares

#------------------------------------------------------------------------------

%package -n kfourinline
Summary: Place 4 pieces in a row
Group: Games/Boards 
URL: http://www.kde.org/applications/games/kfourinline/
Requires: %name-core = %epoch:%version
Suggests: kfourinline-handbook

%description -n kfourinline
KFourInLine is a board game for two players based on the Connect-Four game.

The players try to build up a row of four pieces using different strategies.

%files -n kfourinline
%_kde_bindir/kfourinline
%_kde_bindir/kfourinlineproc
%_kde_applicationsdir/kfourinline.desktop
%_kde_appsdir/kfourinline
%_kde_iconsdir/hicolor/*/apps/kfourinline.png
%_kde_datadir/config.kcfg/kwin4.kcfg

#------------------------------------------------------------------------------

%package -n kfourinline-handbook
Summary: kfourinline handbook
Conflicts: kfourinline < 1:4.7.1-2
Requires:  kfourinline >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kfourinline-handbook
This package provides the kfourinline handbook.

%files -n kfourinline-handbook
%_kde_docdir/HTML/en/kfourinline/

#------------------------------------------------------------------------------

%package -n lskat
Summary: Lieutnant skat
Group: Games/Cards
URL: http://www.kde.org/applications/games/lskat/
Requires: %name-core = %epoch:%version
Suggests: lskat-handbook

%description -n lskat
Lieutnant Skat (from German "Offiziersskat") is a fun and engaging card game for
two players, where the second player is either live opponent, or a built in
artificial intelligence.

%files -n lskat
%_kde_bindir/lskat
%_kde_applicationsdir/lskat.desktop
%_kde_appsdir/lskat
%_kde_iconsdir/hicolor/*/apps/lskat.png

#------------------------------------------------------------------------------

%package -n lskat-handbook
Summary: lskat handbook
Conflicts: lskat < 1:4.7.1-2
Requires:  lskat >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n lskat-handbook
This package provides the lskat handbook.

%files -n lskat-handbook
%_kde_docdir/HTML/en/lskat

#------------------------------------------------------------------------------

%package -n kdiamond
Summary: Three-in-a-row game
Group: Games/Boards 
Url: http://www.kde.org/applications/games/kdiamond/
Requires: %name-core = %epoch:%version
Suggests: kdiamond-handbook

%description -n kdiamond
KDiamond is a three-in-a-row game (much like Bejeweled) for the KDE 4 desktop.

%files -n kdiamond
%_kde_bindir/kdiamond
%_kde_applicationsdir/kdiamond.desktop
%_kde_appsdir/kdiamond
%_kde_datadir/config/kdiamond.knsrc
%_kde_iconsdir/*/*/*/kdiamond.*
%_kde_datadir/sounds/KDiamond*

#------------------------------------------------------------------------------

%package -n kdiamond-handbook
Summary: kdiamond handbook
Conflicts: kdiamond < 1:4.7.1-2
Requires:  kdiamond >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kdiamond-handbook
This package provides the kdiamond handbook.

%files -n kdiamond-handbook
%_kde_docdir/HTML/en/kdiamond

#------------------------------------------------------------------------------

%package -n kollision
Summary: A simple ball dodging game
Group: Games/Arcade
Url: http://www.kde.org/applications/games/kollision/
Requires: %name-core = %epoch:%version
Suggests: kollision-handbook

%description -n kollision
A simple ball dodging game

%files -n kollision
%_kde_bindir/kollision
%_kde_applicationsdir/kollision.desktop
%_kde_appsdir/kollision
%_kde_iconsdir/*/*/apps/kollision.*

#------------------------------------------------------------------------------

%package -n kollision-handbook
Summary: kollision handbook
Conflicts: kollision < 1:4.7.1-2
Requires:  kollision >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kollision-handbook
This package provides the kollision handbook.

%files -n kollision-handbook
%_kde_docdir/HTML/en/kollision

#------------------------------------------------------------------------------

%package -n kubrick
Summary: Game based on Rubik's Cube
Group: Games/Strategy 
Url: http://www.kde.org/applications/games/kubrick/
Requires: %name-core = %epoch:%version
Suggests: kubrick-handbook

%description -n kubrick
Kubrick is a game based on the Rubik's Cube™ puzzle.

The cube sizes range from 2x2x2 up to 6x6x6, or you can play with irregular
"bricks" such as 5x3x2 or "mats" such as 6x4x1 or 2x2x1. The game has a
selection of puzzles at several levels of difficulty, as well as demos of pretty
patterns and solution moves, or you can make up your own puzzles.

%files -n kubrick
%_kde_bindir/kubrick
%_kde_applicationsdir/kubrick.desktop
%_kde_appsdir/kubrick
%_kde_iconsdir/hicolor/*/apps/kubrick.png

#------------------------------------------------------------------------------

%package -n kubrick-handbook
Summary: kubrick handbook
Conflicts: kubrick < 1:4.7.1-2
Requires:  kubrick >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kubrick-handbook
This package provides the kubrick handbook.

%files -n kubrick-handbook
%_kde_docdir/HTML/en/kubrick

#------------------------------------------------------------------------------

%package -n kblocks
Summary: Single player falling blocks puzzle game
Group: Games/Arcade
URL: http://www.kde.org/applications/games/kblocks/
Requires: %name-core = %epoch:%version
Suggests: kblocks-handbook

%description -n kblocks
KBlocks is the classic falling blocks game.

The idea is to stack the falling blocks to create horizontal lines without any
gaps. When a line is completed it is removed, and more space is available in the
play area. When there is not enough space for blocks to fall, the game is over.

%files -n kblocks
%_kde_bindir/kblocks
%_kde_applicationsdir/kblocks.desktop
%_kde_appsdir/kblocks
%_kde_datadir/config.kcfg/kblocks.kcfg
%_kde_datadir/config/kblocks.knsrc
%_kde_iconsdir/hicolor/*/apps/kblocks.*

#------------------------------------------------------------------------------

%package -n kblocks-handbook
Summary: kblocks handbook
Conflicts: kblocks < 1:4.7.1-2
Requires:  kblocks >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kblocks-handbook
This package provides the kblocks handbook.

%files -n kblocks-handbook
%_kde_docdir/HTML/en/kblocks

#------------------------------------------------------------------------------

%package -n kbreakout
Summary: kbreakout
Group: Games/Arcade
URL: http://www.kde.org/applications/games/kbreakout/
Requires: %name-core = %epoch:%version
Suggests: kbreakout-handbook
%description -n kbreakout
KBreakout is a Breakout-like game. 

Its object is to destroy as many bricks as possible without losing the ball.

%files -n kbreakout
%_kde_bindir/kbreakout
%_kde_applicationsdir/kbreakout.desktop
%_kde_appsdir/kbreakout
%_kde_iconsdir/hicolor/*/apps/kbreakout.png

#------------------------------------------------------------------------------

%package -n kbreakout-handbook
Summary: kbreakout handbook
Conflicts: kbreakout < 1:4.7.1-2
Requires:  kbreakout >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kbreakout-handbook
This package provides the kbreakout handbook.

%files -n kbreakout-handbook
%_kde_docdir/HTML/en/kbreakout

#------------------------------------------------------------------------------

%package -n bomber
Summary: Arcade bombing game
Group: Games/Arcade
Url: http://www.kde.org/applications/games/bomber/
Requires: %name-core = %epoch:%version
Suggests: bomber-handbook

%description -n bomber
Bomber is a single player arcade game.

The player is invading various cities in a plane that is decreasing in height.
The goal of the game is to destroy all the buildings and advance to the next
level. Each level gets a bit harder by increasing the speed of the plane and the
height of the buildings.

%files -n bomber
%_kde_bindir/bomber
%_kde_applicationsdir/bomber.desktop
%_kde_appsdir/bomber
%_kde_datadir/config.kcfg/bomber.kcfg
%_kde_iconsdir/hicolor/*/apps/bomber.*

#------------------------------------------------------------------------------

%package -n bomber-handbook
Summary: bomber handbook
Conflicts: bomber < 1:4.7.1-2
Requires:  bomber >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n bomber-handbook
This package provides the bomber handbook.

%files -n bomber-handbook
%_kde_docdir/HTML/en/bomber

#------------------------------------------------------------------------------

%package -n ksirk
Summary: Computerized version of a well known strategy board game
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/ksirk/
Requires: %name-core = %epoch:%version
Suggests: ksirk-handbook

%description -n ksirk
KsirK is a computerized version of the well known strategic board game Risk. 
The goal of the game is simply to conquer the world by attacking your neighbors
with your armies.
Features :
- Support for 1-6 human or computer (AI) players
- Multi-player gaming over a network
- You can easily create new skins with SVG graphics and the skin editor
- Hot New Stuff support. You can easily download and install new skins

%files -n ksirk
%_kde_bindir/ksirk*
%_kde_applicationsdir/ksirk*.desktop
%_kde_datadir/config.kcfg/ksirk*settings.kcfg
%_kde_datadir/config/ksirk.knsrc
%_kde_appsdir/ksirk*
%_kde_iconsdir/*/*/apps/ksirk.png

#------------------------------------------------------------------------------

%package -n ksirk-handbook
Summary: Ksirk handbook
Conflicts: ksirk < 1:4.7.1-2
Requires:  ksirk >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other

%description -n ksirk-handbook
This package provides the ksirk handbook.

%files -n ksirk-handbook
%_kde_docdir/HTML/en/ksirk
%_kde_docdir/HTML/en/ksirkskineditor

#------------------------------------------------------------------------------

%package -n granatier
Summary: KDE Bomberman game
Group: Games/Arcade
Url: http://www.kde.org/applications/games/granatier/
Requires: %name-core = %epoch:%version
Suggests: granatier-handbook

%description -n granatier
Granatier is a clone of the classic Bomberman game, inspired by the work of the
Clanbomber clone.

%files -n granatier
%_kde_bindir/granatier
%_kde_applicationsdir/granatier.desktop
%_kde_appsdir/granatier
%_kde_datadir/config.kcfg/granatier.kcfg
%_kde_iconsdir/*/*/apps/granatier.*

#------------------------------------------------------------------------------

%package -n granatier-handbook
Summary: Granatier handbook
Conflicts: granatier < 1:4.7.1-2
Requires:  granatier >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n granatier-handbook
This package provides granatier handbook

%files -n granatier-handbook
%_kde_docdir/HTML/en/granatier

#------------------------------------------------------------------------------

%package -n kigo
Summary: Go board game for KDE
Group: Games/Boards 
Url: http://www.kde.org/applications/games/kigo/
Requires: %name-core = %epoch:%version
Requires: gnugo
Suggests: kigo-handbook

%description -n kigo
Kigo is an open-source implementation of the popular Go game.

Go is a strategic board game for two players. It is also known as igo
(Japanese), weiqi or wei ch'i (Chinese) or baduk (Korean).
Go is noted for being rich in strategic complexity despite its simple rules.
The game is played by two players who alternately place black and white stones
(playing pieces, now usually made of glass or plastic) on the vacant
intersections of a grid of 19x19 lines (9x9 or 13x13 for easier games).

%files -n kigo
%_kde_bindir/kigo
%_kde_applicationsdir/kigo.desktop
%_kde_appsdir/kigo
%_kde_datadir/config.kcfg/kigo.kcfg
%_kde_datadir/config/kigo-games.knsrc
%_kde_datadir/config/kigo.knsrc
%_kde_iconsdir/*/*/apps/kigo.png

#------------------------------------------------------------------------------

%package -n kigo-handbook
Summary: Kigo handbook
Conflicts: kigo < 1:4.7.1-2
Requires:  kigo >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kigo-handbook
This package provides kigo handbook.

%files -n kigo-handbook
%_kde_docdir/HTML/en/kigo

#------------------------------------------------------------------------------

%define libkdegames %mklibname kdegames 5
%define wronglibkdegames %mklibname kdegames 4

%package -n %libkdegames
Summary: Runtime Library for kdegames
Group: System/Libraries
Obsoletes: %wronglibkdegames

%description -n %libkdegames
Runtime Library for kdegames

%files -n %libkdegames
%_kde_libdir/libkdegames.so.*

#------------------------------------------------------------------------------

%define libkmahjongglib_major 4
%define libkmahjongglib %mklibname kmahjongglib %{libkmahjongglib_major}

%package -n %libkmahjongglib
Summary: Runtime library for kmahjongg
Group: System/Libraries


%description -n %libkmahjongglib
Runtime library for kmahjongg. 

%files -n %libkmahjongglib
%_kde_libdir/libkmahjongglib.so.%{libkmahjongglib_major}*

#------------------------------------------------------------------------------

%define libkolfprivate_private 4
%define libkolfprivate %mklibname kolfprivate %{libkolfprivate_private}

%package -n %libkolfprivate
Summary: Runtime library for Kolf
Group: System/Libraries

%description -n %libkolfprivate
Runtime library for Kolf.

%files -n %libkolfprivate
%_kde_libdir/libkolfprivate.so.%{libkolfprivate_private}*

#------------------------------------------------------------------------------

%define libkggzgames_major 4
%define libkggzgames %mklibname kggzgames %{libkggzgames_major}

%package -n %libkggzgames
Summary: Runtime library for KDEGames to interact with GGZ Gaming Zone
Group: System/Libraries

%description -n %libkggzgames
This library helps KDE/Qt game developers to integrate their game with the GGZ
Gaming Zone. It is the visual counterpart to the rather low-level kggzmod
library and contains convenience widgets and dialogs.

%files -n %libkggzgames
%_kde_libdir/libkggzgames.so.%{libkggzgames_major}*

#------------------------------------------------------------------------------

%define libkggzmod_major 4
%define libkggzmod %mklibname kggzmod %{libkggzmod_major}

%package -n %libkggzmod
Summary: Runtime library for KDEGames to interact with GGZ Gaming Zone
Group: System/Libraries

%description -n %libkggzmod
The kggzmod library is a KDE/Qt game developer's interface to the GGZ Gaming
Zone. It will connect the game with its corresponding game server, provide
information about players and spectators, allow for chat and player management
activities and a lot more.

%files -n %libkggzmod
%_kde_libdir/libkggzmod.so.%{libkggzmod_major}*

#------------------------------------------------------------------------------

%define libkggznet_major 4
%define libkggznet %mklibname kggznet %{libkggznet_major}

%package -n %libkggznet
Summary: Runtime library for KDEGames to interact with GGZ Gaming Zone
Group: System/Libraries

%description -n %libkggznet
The kggznet library is a KDE/Qt game developer's interface to networking on the
GGZ Gaming Zone. The library provides classes to handle low-level protocols for
communication between game clients and servers.

%files -n %libkggznet
%_kde_libdir/libkggznet.so.%{libkggznet_major}*

#------------------------------------------------------------------------------

%define libiris_ksirk_major 2
%define libiris_ksirk %mklibname iris_ksirk %{libiris_ksirk_major}

%package -n %libiris_ksirk
Summary: Runtime library for ksirk
Group: System/Libraries

%description -n %libiris_ksirk
Runtime library for ksirk

%files -n %libiris_ksirk
%_kde_libdir/libiris_ksirk.so.%{libiris_ksirk_major}*

#------------------------------------------------------------------------------

%define libpala_major 0
%define libpala %mklibname pala %{libpala_major}

%package -n %libpala
Summary: Runtime library for Palapeli
Group: System/Libraries
Conflicts: palapeli < 1:4.3.80

%description -n %libpala
Runtime library for Palapeli

%files -n %libpala
%_kde_libdir/libpala.so.%{libpala_major}*

#------------------------------------------------------------------------------

%package -n palapeli
Summary: Jigsaw puzzle game
Group: Games/Puzzles 
URL: http://www.kde.org/applications/games/palapeli/
Requires: %name-core = %epoch:%version
Suggests: palapeli-handbook

%description -n palapeli
Palapeli is a jigsaw puzzle game. Unlike other games in that genre, you
are not limited to aligning pieces on imaginary grids. The pieces are
freely moveable. Also, Palapeli features real persistency, i.e. everything
you do is saved on your disk immediately.

%files -n palapeli
%_kde_bindir/palapeli
%_kde_libdir/kde4/palapeli_jigsawslicer.so
%_kde_libdir/kde4/palapeli_rectslicer.so
%_kde_libdir/kde4/palathumbcreator.so
%_kde_libdir/kde4/palapeli_goldbergslicer.so
%_kde_services/palapeli_goldbergslicer.desktop
%_kde_applicationsdir/palapeli.desktop
%_kde_appsdir/palapeli
%_kde_iconsdir/hicolor/*/*/*palapeli*
%_kde_services/ServiceMenus/palapeli_servicemenu.desktop
%_kde_services/palapeli_jigsawslicer.desktop
%_kde_services/palapeli_rectslicer.desktop
%_kde_services/palathumbcreator.desktop
%_kde_servicetypes/libpala-slicerplugin.desktop
%_kde_datadir/mime/packages/palapeli-mimetypes.xml
%_kde_datadir/config/palapeli-collectionrc

#------------------------------------------------------------------------------

%package -n palapeli-handbook
Summary: Palapeli handbook
Conflicts: palapeli < 1:4.7.1-2
Requires:  palapeli >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n palapeli-handbook
This package provides palapeli handbook

%files -n palapeli-handbook
%_kde_docdir/HTML/en/palapeli

#------------------------------------------------------------------------------

%package devel
Summary: Headers files for kdegames
Group: Development/KDE and Qt
Obsoletes: palapeli-devel < 1:4.3.80
Requires: kdelibs4-devel >= 2:%version
Requires: %libkdegames = %epoch:%version
Requires: %libkmahjongglib = %epoch:%version
Requires: %libkolfprivate = %epoch:%version
Requires: %libkggzgames = %epoch:%version
Requires: %libkggzmod = %epoch:%version
Requires: %libkggznet = %epoch:%version
Requires: %libiris_ksirk = %epoch:%version
Requires: %libpala = %epoch:%version

%description devel
Headers files needed to build applications based on kdegames applications.

%files devel
%_kde_datadir/apps/cmake/modules/FindLibKDEGames.cmake
%_kde_datadir/apps/cmake/modules/GGZ.cmake
%_kde_libdir/libpala/libpala-config.cmake
%_kde_libdir/libpala/pala-targets*.cmake
%_kde_libdir/libiris_ksirk.so
%_kde_libdir/libkdegames.so
%_kde_libdir/libkggzgames.so
%_kde_libdir/libkggzmod.so
%_kde_libdir/libkggznet.so
%_kde_libdir/libkmahjongglib.so
%_kde_libdir/libkolfprivate.so
%_kde_libdir/libpala.so
%_kde_includedir/*

#------------------------------------------------------------------------------

%prep
%setup -q -n kdegames-%version
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Sun Apr 22 2012 mikala <mikala> 1:4.8.2-2.mga2
+ Revision: 232739
- Add missing requires for handbooks

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228364
- new version 4.8.2

* Thu Mar 29 2012 lmenut <lmenut> 1:4.8.1-2.mga2
+ Revision: 227483
- add missing suggests

* Fri Mar 09 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221765
- New upstream tarball

* Thu Feb 02 2012 mikala <mikala> 1:4.8.0-2.mga2
+ Revision: 203975
- Add patch0 from upstream (& here made by neoclust \o/) to fix crash of ksudoku (mga #4316)

* Wed Jan 25 2012 fwang <fwang> 1:4.8.0-1.mga2
+ Revision: 201327
- kajongg is a noarch package

  + mikala <mikala>
    - Updating tarball to KDE 4.8.0

* Tue Jan 10 2012 mikala <mikala> 1:4.7.97-2.mga2
+ Revision: 194771
- Add missing requires (fix mga #4090)

* Fri Jan 06 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 192256
- Update tarball to KDE SC 4.7.97

* Tue Dec 27 2011 mikala <mikala> 1:4.7.95-2.mga2
+ Revision: 188189
- Fix files list for kspaceduel ( fix mga #3899)
- use %%docdir to workaround duplicate packaging of files when using %%doc

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186180
- Update tarball to KDE SC 4.7.95
- fix groups

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 181934
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176389
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161149
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151942
- Update tarball to KDE SC 4.7.2

* Thu Sep 08 2011 mikala <mikala> 1:4.7.1-2.mga2
+ Revision: 141454
- Remove %%attr() on kgoldrunner binary
- remove handbooks from kapman, kreversi, konquest
- fix conflicts
- use kde4 macro
- Fix files list for ktuberling, kmahjongg, kiriki, kshisen, kblocks (spotted by magnus)

* Thu Sep 08 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 141368
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Build -core,kmahjongglib as noarch
- Update/Add URL for several subpackages
- Update tarball to KDE SC 4.7.0
- remove %%defattr
- use kde4 macros
- fix License
- use pkgconfig() for buildrequires

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122340
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-2.mga2
+ Revision: 115720
- Remove old conflicts
- Update tarball to KDE SC 4.7 rc1 (4.6.90)
- Fix file list
- Add openal-devel as BR (now it's a require for granatier)
- Add back qhull as BR (qvoronoi binary is available)
- Remove openal as buildrequires (we're using phonon output by default)
- Remove qhull as buildrequires

  + ze <ze>
    - minor clean
    - add missing description about wrapper function
    - add qhul as buildrequire since binary qvoronoi its needed by Palapeli Slicer Collection
    - KGoldrunner and Granatier need OpenAL for sound output,
      and theres no package pulling openal-devel

* Sun Jun 12 2011 mikala <mikala> 1:4.6.4-1.mga2
+ Revision: 105312
- Update tarball 4.6.4

* Tue May 17 2011 mikala <mikala> 1:4.6.3-1.mga1
+ Revision: 99357
- Add a conflict on kdegames4-core against bovo < 4.6.0 to ease upgrade from mandriva

* Wed May 04 2011 mikala <mikala> 1:4.6.3-0.mga1
+ Revision: 94740
- Update tarball to 4.6.3

* Sun May 01 2011 mikala <mikala> 1:4.6.2-1.mga1
+ Revision: 94160
- Add missing conflict between kpat & bovo to ease upgrade (mga #1056)

* Wed Apr 06 2011 mikala <mikala> 1:4.6.2-0.mga1
+ Revision: 81293
- Update tarball to 4.6.2

* Tue Mar 22 2011 ahmad <ahmad> 1:4.6.1-2.mga1
+ Revision: 75477
- kshisen requires kmahjongglib, as the later has the tilesets, should fix (mag#486)

* Mon Feb 28 2011 mikala <mikala> 1:4.6.1-1.mga1
+ Revision: 61675
- Update tarball to 4.6.1

* Mon Jan 24 2011 ahmad <ahmad> 1:4.6.0-1.mga1
+ Revision: 35987
- update to 4.6.0

* Fri Jan 21 2011 ahmad <ahmad> 1:4.5.95-2.mga1
+ Revision: 29907
- versionate the -core requires in the sub-packages
- move the kshisen and bovo conflicts to the -core package
- drop old obsoletes/conflicts

  + mikala <mikala>
    - imported package kdegames4


* Wed Jan 12 2011 John Balcaen <balcaen.john@gmail.com> 1:4.5.95-2mga1
- Update/Add descriptions & summary to various apps & library
- Add several missing macro for library's major following kde's spec policy

* Thu Jan 06 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.5.95-1mdv2011.0
+ Revision: 629120
- New version KDE 4.6 RC2

* Thu Dec 23 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.5.90-1mdv2011.0
+ Revision: 624062
- New upstream tarball

* Wed Dec 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.5.85-1mdv2011.0
+ Revision: 616343
- New upstream tarball

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 1:4.5.80-1mdv2011.0
+ Revision: 601635
- new version 4.5.80 (aka 4.6 beta1)

* Sat Nov 20 2010 Funda Wang <fwang@mandriva.org> 1:4.5.77-0.svn1198704.1mdv2011.0
+ Revision: 599252
- update file list
- new snapshot 4.5.77

* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 1:4.5.74-0.svn1192115.1mdv2011.0
+ Revision: 591858
- add sqlite3 as BR for kajongg
- more requires
- add more requires
- new snapshot 4.5.74

* Mon Oct 18 2010 Funda Wang <fwang@mandriva.org> 1:4.5.71-0.svn1184269.3mdv2011.0
+ Revision: 586556
- the correct place for kcardgame is kpat sub package

* Mon Oct 18 2010 Funda Wang <fwang@mandriva.org> 1:4.5.71-0.svn1184269.2mdv2011.0
+ Revision: 586555
- libkcardgame.so is not a devel file

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1:4.5.71-0.svn1184269.1mdv2011.0
+ Revision: 585259
- update file list
- new snapshot

* Thu Sep 16 2010 Funda Wang <fwang@mandriva.org> 1:4.5.68-1mdv2011.0
+ Revision: 578800
- new snapshot 4.5.68

* Tue Sep 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.5.67-1mdv2011.0
+ Revision: 576503
- Fix file list
- New version 4.5.67

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.5.0-1mdv2011.0
+ Revision: 566568
- New upstream tarball
- Update to version 4.5.0

* Thu Jul 29 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.95-1mdv2011.0
+ Revision: 562877
- Fix file list
- Add buildrequires
- KDE 4.5 RC3

* Thu Jul 15 2010 Anssi Hannula <anssi@mandriva.org> 1:4.4.3-3mdv2011.0
+ Revision: 553774
- fix conflicts in bovo package

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.3-2mdv2010.1
+ Revision: 546159
- Rebuild in release mode

* Tue May 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.3-1mdv2010.1
+ Revision: 542101
- Update to version 4.4.3
- Fix devel package file list

* Wed Mar 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.2-1mdv2010.1
+ Revision: 530115
- Fix file list
- Update to version 4.4.2

* Tue Mar 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.1-1mdv2010.1
+ Revision: 513408
- Update to version 4.4.1

* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.0-1mdv2010.1
+ Revision: 502610
- Update to version 4.4.0

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.98-1mdv2010.1
+ Revision: 498943
- Update to version 4.3.98 aka "kde 4.4 RC3"
- Update to version 4.3.98 aka "kde 4.4 RC3"

* Mon Jan 25 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.95-1mdv2010.1
+ Revision: 495992
- Update to version 4.3.95 aka "kde 4.4 RC2"
- Update to version 4.3.95 aka "kde 4.4 RC2"
- Remove the cp trick as the icons belong to an other package
- Add missing icons in hicolor

* Sun Jan 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.90-1mdv2010.1
+ Revision: 488618
- Fix file list
- Fix file list
- Update to kde 4.4 rc1

* Mon Dec 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.85-1mdv2010.1
+ Revision: 480818
- Fix file list
- Update to kde 4.4 beta2
  Remove merged patches
  Remove old unneded Buildrequires
- Add Gnugo as Requires for Kigo

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 1:4.3.80-1mdv2010.1
+ Revision: 473680
- finally fix building
- add palapeli
- bump versioned requires

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix version in BuildRequires
    - Update to kde 4.4 beta1

* Sat Nov 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.77-1mdv2010.1
+ Revision: 470788
- Add branch switch
- Fix typo in suggests

  + Funda Wang <fwang@mandriva.org>
    - New version 4.3.77

* Fri Nov 20 2009 Funda Wang <fwang@mandriva.org> 1:4.3.75-1mdv2010.1
+ Revision: 467591
- New version 4.3.75

* Wed Nov 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.73-2mdv2010.1
+ Revision: 465070
- Rebuild against new qt

* Sun Nov 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.73-1mdv2010.1
+ Revision: 463213
- Update to kde 4.3.73

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.2-1mdv2010.0
+ Revision: 454660
- New upstream release 4.3.2.

* Mon Oct 05 2009 Funda Wang <fwang@mandriva.org> 1:4.3.1-4mdv2010.0
+ Revision: 453846
- BUMP rel
- singled out kmahjongglib as required by all mahjongg-like games.

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix typo

* Sun Sep 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-2mdv2010.0
+ Revision: 438584
- Obsolete kde3 packages

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-1mdv2010.0
+ Revision: 423217
- New upstream release 4.3.1.

* Fri Aug 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.0-2mdv2010.0
+ Revision: 418983
- Rebuild for missing package
- Change requires into suggests
  Fix Ksirk summary

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.0-1mdv2010.0
+ Revision: 409416
- New upstream release 4.3.0.
- Update to KDE 4.3 RC3

* Sat Jul 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.96-1mdv2010.0
+ Revision: 394895
- Update to Rc2

* Sat Jun 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.95-2mdv2010.0
+ Revision: 389795
- Fix conflicts

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.95-1mdv2010.0
+ Revision: 389391
- Update to kde 4.3Rc1

* Thu Jun 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.90-1mdv2010.0
+ Revision: 382854
- Remove merged patches
- Update to beta2

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 1:4.2.88-1mdv2010.0
+ Revision: 380796
- fix file list
- New version 4.2.88

* Fri May 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.87-1mdv2010.0
+ Revision: 378822
- Update to kde   4.2.87

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.85-1mdv2010.0
+ Revision: 373564
- Update to kde 4.2.85
- Update to kde 4.2.85

* Sun May 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.71-0.svn961800.1mdv2010.0
+ Revision: 371234
- Update to kde 4.2.71

* Sat May 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.70-0.svn954171.1mdv2010.0
+ Revision: 370697
- Update to kde 4.2.70
  Add Ktron and Kdesnake
  Fix file list

* Sun Apr 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.2-3mdv2009.1
+ Revision: 364187
- Add some upstream patches from branch
        - Patch100: Kubrik : missing opengl include
- Remove Old tarball
  Fix crash in Ksirk at server connect (BKO: 187235 QMO: 49132)

* Fri Mar 27 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.2-1mdv2009.1
+ Revision: 361727
- Update with 4.2.2 try#1 packages

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.1-1mdv2009.1
+ Revision: 346212
- KDE 4.2.1 try#1 upstream release

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.0-2mdv2009.1
+ Revision: 340881
- Rebuild against qt4.5
- Fix bomber description

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 1:4.2.0-1mdv2009.1
+ Revision: 334820
- New version 4.2.0

* Fri Jan 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.96-1mdv2009.1
+ Revision: 327304
- Fix file list

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.96

* Sun Dec 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.85-1mdv2009.1
+ Revision: 314060
- New version KDE 4.2 Beta2

* Thu Dec 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.82-1mdv2009.1
+ Revision: 313374
- Update to kde 4.1.82

* Mon Dec 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.81-2mdv2009.1
+ Revision: 308661
- Rebuild

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 1:4.1.81-1mdv2009.1
+ Revision: 308426
- New version 4.1.81
- drop ksudoku build condition

* Wed Nov 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.80-3mdv2009.1
+ Revision: 306997
- Versionnate Obsoletes

* Tue Nov 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.80-2mdv2009.1
+ Revision: 306582
- some more obsoletes
- Obsoletes kdegames

  + Funda Wang <fwang@mandriva.org>
    - requires new game

* Thu Nov 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.80-1mdv2009.1
+ Revision: 304864
- New subpackage Bomber

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Beta 1 - 4.1.80

* Mon Nov 17 2008 Funda Wang <fwang@mandriva.org> 1:4.1.73-2mdv2009.1
+ Revision: 303889
- add patch fixing ksudoku build

* Sat Nov 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.73-1mdv2009.1
+ Revision: 303397
- Fix BuildRequires
- Update to kde 4.1.73
- Fix Requires on core package

* Sun Oct 26 2008 Funda Wang <fwang@mandriva.org> 1:4.1.71-1mdv2009.1
+ Revision: 297352
- install kapman.desktop into correct dir
- require two new games
- update file list
- New version 4.1.71

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 1:4.1.2-3mdv2009.1
+ Revision: 292759
- move devel package section so that all the libs are declared
- fix wrong .so suffix of libkdegames
- devel package should requires libpackages

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 1:4.1.2-2mdv2009.0
+ Revision: 290841
- Add conflicts to ease upgrade

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.2-1mdv2009.0
+ Revision: 288309
- KDE 4.1.2 arriving.

* Sun Aug 31 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.1-1mdv2009.0
+ Revision: 277839
- Upgrade to forthcoming 4.1.1 packages

  + Funda Wang <fwang@mandriva.org>
    - update url

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-1mdv2009.0
+ Revision: 247585
- Update with Release Candidate 1 - 4.1.0

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.98-1mdv2009.0
+ Revision: 233190
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.85-1mdv2009.0
+ Revision: 232461
- New version kde 4.0.85

* Sun Jun 29 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.84-2mdv2009.0
+ Revision: 229949
- Underlinnk patch was included upstream
- Fix br
- Update with new snapshot tarballs 4.0.84

* Mon Jun 23 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-2mdv2009.0
+ Revision: 228415
- Enabled ggz back, wrongly removed based on bad freeciv packaging.
- Commented ksudoku for now, since underlinking issue is happening upstream
- Added reference for proper ggz packaging, should discuss later with mdv staff best method to package mosules stuff
- Update with new snapshot tarballs 4.0.83
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.81-1mdv2009.0
+ Revision: 214719
- Update with new snapshot tarballs 4.0.81

* Sat May 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.80-1mdv2009.0
+ Revision: 210783
- New upstream kde4 4.1 beta1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Own %%_kde_appsdir/kmahjongglib
    - Own better the folders

* Mon May 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.74-4mdv2009.0
+ Revision: 209203
- Remove description about kbackgammon
  Obsolete old kde4-kbackgammon

* Fri May 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.74-3mdv2009.0
+ Revision: 208266
- Rebuild against new kdebase4
- Versionate BuildRequires

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 1:4.0.74-2mdv2009.0
+ Revision: 208038
- New version 4.0.74

* Fri May 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.73-2mdv2009.0
+ Revision: 204789
- Say hello to kbreakout and ksirk
  Remove ggz-lib buildrequires and add a comment about that

* Wed May 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.72-2mdv2009.0
+ Revision: 202770
- Fix BuildRequires
- Update to kde 4.0.72
- Add new subpackage +> KBlocks
  Fix file list
  Fix provides ( copy / paste suxx )
- Fix Requires
- New sub packages kubrick kollision and kdiamond
  Fix File list
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191003
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.2-2mdv2008.1
+ Revision: 182263
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177437
- New upstream bugfix release 4.0.2

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Tue Feb 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 165897
- Update for 4.0.1

* Wed Jan 09 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-1mdv2008.1
+ Revision: 147335
- Updated to latest 4.0.0 stable

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New snapshot
      Kwin4 is now called Kfourinline

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.97.1-0.746784.1mdv2008.1
+ Revision: 117087
- New snapshot
  Obsolete libkolflib on libkolfprivate packag

* Fri Nov 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.96.1-0.742894.1mdv2008.1
+ Revision: 114116
- New snapshot

* Fri Nov 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.96.1-0.740193.1mdv2008.1
+ Revision: 111553
- New snapshot
  Package kcfg files in there own  package ( Bug #35626)

* Sat Nov 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.96.0-0.737137.1mdv2008.1
+ Revision: 109648
- KDE4 RC1

* Sun Nov 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.95.2-0.734589.2mdv2008.1
+ Revision: 107542
- Fix Requires

* Sun Nov 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.95.2-0.734589.1mdv2008.1
+ Revision: 107536
- New snapshot
  kbackgammon is not on the package anymore

* Fri Nov 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.95.1-0.731582.1mdv2008.1
+ Revision: 104988
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.94.1-0.730797.1mdv2008.1
+ Revision: 103774
- Fix File list
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.94.1-0.729193.1mdv2008.1
+ Revision: 102157
- New snapshot

* Sat Oct 20 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.94.0-0.727095.1mdv2008.1
+ Revision: 100515
- Kde 4 Beta 3

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 1:3.93.0-0.714146.1mdv2008.0
+ Revision: 91944
- Changing Obsoletes tags and updating tarball to a newer revision.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 711178

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.93.0-0.707981.1mdv2008.0
+ Revision: 79000
- Update with revision 707981
- Update with revision 706624

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.706247.1mdv2008.0
+ Revision: 75096
- Update with revision 706247

* Wed Aug 29 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.705994.1mdv2008.0
+ Revision: 73335
- Update with revision 705994

* Mon Aug 06 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.696866.1mdv2008.0
+ Revision: 59504
- UPdate to revision 696866
- Update to revision 693322

* Wed Jul 04 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.91-0.682394.2mdv2008.0
+ Revision: 48038
- New snapshot post monday BIC
- Fix main package and the -core one

* Sat Jun 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.91-0.681524.1mdv2008.0
+ Revision: 46068
- Fix File list
- Start to fix file list to satisfy new kde layout

* Thu May 10 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25996
- new snapshot

* Fri May 04 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.3mdv2008.0
+ Revision: 22301
- new snapshot
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.3mdv2007.1
+ Revision: 141383
- new snapshot
- Fix spec file
- new snapshot
- new snapshot
- 3.80.3
- new snapshot

* Tue Jan 23 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070123.2mdv2007.1
+ Revision: 112289
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.2mdv2007.1
+ Revision: 110236
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107028
- Increase version because bot rebuild is stupid
- Update snapshot

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 103686
- Fix spec file
- Update
- Byebye menu macro

* Thu Dec 28 2006 Laurent Montel <lmontel@mandriva.com> 1:3.80-3mdv2007.1
+ Revision: 102279
- Import kdegames4

* Fri Nov 03 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-3mdv2007.0
- First package

